skip to navigation
skip to content

dbapi-compliance 1.15.0

Python DB API 2.0 driver compliance unit test suite.

A unit test suite to help confirm that Python database drivers conform to the Python DB-API specification v2.0.

License

dbapi-compliance is released in the public domain.

Changelog

  • Next version - unreleased
  • 1.15.0 - 2015-07-04
    • Apply fix to no-result statement check in test_rowcount being too strict.
    • Fix parameter substitution being mixed.
    • Fix for non idempotent close.
    • Fix psycopg2 test not being Python 3 compatible.
    • Make it possible to customize insert statements (thanks @lalinsky).
    • Support databases that require primary keys being non null (thanks @lalinsky).
    • Build on travis.
    • Provide PyPI package (thanks @lalinsky for the setup.py fixes).
    • Use bumpversion.
  • 1.14.3 - 2013-06-05 and earlier
    • Initial implementation by Stuart Bishop.
    • Python 3 compatibility by Vernon Cole.
 
File Type Py Version Uploaded on Size
dbapi-compliance-1.15.0.zip (md5) Source 2015-07-04 10KB